explain_telldir_or_die(3)

NAME
explain_telldir_or_die - current location in directory and report errors

SYNOPSIS
#include <libexplain/telldir.h>

off_t explain_telldir_or_die(DIR *dir);
off_t explain_telldir_on_error(DIR *dir);

DESCRIPTION
The explain_telldir_or_die function is used to call the telldir(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_telldir(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_telldir_on_error function is used to call the telldir(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_telldir(3) function, but still returns to the caller.

dir The dir, exactly as to be passed to the telldir(3) system call.

RETURN VALUE
The explain_telldir_or_die function only returns on success, see telldir(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_telldir_on_error function always returns the value return by the wrapped telldir(3) system call.

EXAMPLE
The explain_telldir_or_die function is intended to be used in a fashion similar to the following example:
    off_t result = explain_telldir_or_die(dir);

SEE ALSO

telldir(3)
    return current location in directory stream

explain_telldir(3)
    explain telldir(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller